summaryrefslogtreecommitdiff
path: root/bin/src-unregister
diff options
context:
space:
mode:
Diffstat (limited to 'bin/src-unregister')
-rwxr-xr-xbin/src-unregister2
1 files changed, 2 insertions, 0 deletions
diff --git a/bin/src-unregister b/bin/src-unregister
index c8a0b0db..1d888fe3 100755
--- a/bin/src-unregister
+++ b/bin/src-unregister
@@ -21,6 +21,8 @@ my $term = Term::ReadLine->new('brand');
foreach my $repo ( @ARGV ) {
die "$repo does not exist" if ! ( -d $repo );
+ die "$repo is not a git or hg repo"
+ if ! ( -d "$repo/.git" || -d "$repo/.hg" );
}
foreach my $repo ( @ARGV ) {